/* includes */
#include <stdio.h>
#include "libpq-fe.h"

/* prototypes */
int numberReturned();
int runQuery(char *);
int runQueryInTrans(char *);
void startTransaction();
void endTransaction();
void rollbackTransaction();
void exit_nicely();
void initBackend();
void closeBackend();
char *getField(char *);
void fetchAndDisplay(char *);

/* global variables */
/* These pointers are necessary to communicate with the backend */
char *pghost, *pgport, *pgoptions, *pgtty;
PGconn* conn;
PGresult* res;
